﻿

procedure Form1_Button1_OnClick (Sender: TObject; var Cancel: boolean);
var
openDialog:TOpenDialog; // диалог открытия файла
begin

  openDialog := TOpenDialog.Create(Form1);  // Создание объекта OpenDialog
  {                                                                                        
   Настройки диалогового окна (OPTIONS)

   ofFileMustExist - Только разрешенные существующие файлы могут быть выбраны
   ofHideReadOnly - Удаляет из диалога индикатор Открыть только для чтения
   ofAllowMultiSelect - Позволяет пользователю выбирать несколько файлов
   ofEnableSizing - Разрешает пользователю изменять размер диалогового окна
   ofEnableIncludeNotify - Разрешает посылать в диалог сообщения
   ofExtensionDifferent - Этот флаг, который можно прочитать после выполнения диалога, показывает, что расширение файла, выбранного пользователем, отличается от DefaultExt
   ofFileMustExist - В случае, если пользователь написал имя несуществующего файла, появляется сообщение об ошибке
   ofCreatePrompt - В случае, если пользователь написал имя несуществующего файла, появляется замечание и запрос, надо ли создать файл с заданным именем
   ofNoChangeDir - После щелчка пользователя на кнопке OK восстанавливает текущий каталог, независимо от того, какой каталог был открыт при поиске файла
   ofNoDereferenceLinks - Запрещает переназначать клавиши быстрого доступа в диалоговом окне
   ofNoLongNames - Отображаются только не более 8 символов имени и трех символов расширения
   ofNoNetworkButton - Убирает из диалогового окна кнопку поиска в сети. Действует только если флаг ofOldStyleDialog включен
   ofNoReadOnlyReturn - Если пользователь выбрал файл только для чтения, то генерируется сообщение об ошибке
   ofNoTestFileCreate - Запрещает выбор в сети защищенных файлов и не доступных дисков при сохранении файла
   ofNoValidate - Не позволяет писать в именах файлов неразрешенные символы, но не мешает выбирать файлы с неразрешенными символами
   ofOldStyleDialog - Создает диалог выбора файла в старом стиле
   ofOverwritePrompt - В случае, если при сохранении файла пользователь написал имя существующего файла, появляется замечание, что файл с таким именем существует, и запрашивается желание пользователя переписать существующий файл
   ofPathMustExist - Генерирует сообщение об ошибке, если пользователь указал в имени файла несуществующий каталог
   ofReadOnly - По умолчанию устанавливает индикатор Открыть только для чтения при открытии диалога
   ofShareAware - Игнорирует ошибки нарушения условий коллективного доступа и разрешает, несмотря на них, производить выбор файла
   ofShowHelp - Отображает в диалоговом окне кнопку Справка
   ofNoDereferenceLinks - Определяет порядок взаимодействия с ярлыками файлов.
   ofEnableIncludeNotify - Работает с Windows2000 и более поздними версиями.
  }
  openDialog.Options := ofHideReadOnly+ofEnableSizing; // Опции диологового окна
  openDialog.Filter := 'PNG|*.png|JPG|*.jpg|BMP|*.bmp';  // фильтр разрешенных форматов файлов

  // openDialog.DefaultExt := '.png'; // указывает расширение файла, которое автоматически добавляется к выбранному имени файла, если только выбранное имя файла не включает зарегистрированное расширение.
  // openDialog.FilterIndex := 2;  //Выбор формата файла как стартовый тип фильтра

  openDialog.InitialDir := ExtractFilePath(Application.ExeName); // Каталог по умолчанию

  if openDialog.Execute then
  begin
    // действие с выбранным файлом       
    Form1.Image1.Picture.LoadFromFile(openDialog.fileName);
  end;

  openDialog.Free;
end;

begin

end.
